Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::conversion::office2pdf::Word2PDFConfig Class Reference

Inherits Object.

## Public Member Functions
| Word2PDFConfig ()
| Constructor.
| Word2PDFConfig (bool is_generate_bookmark)
| Constructor, with parameters. More...
Word2PDFConfig & | operator= (const Word2PDFConfig &data)
| Assign operator. More...
void | Set (bool is_generate_bookmark)
| Set value. More...

## Public Attributes
bool | is_generate_bookmark
| A boolean value which indicates whether to export bookmarks to converted PDF file. More...

## Detailed Description

This class represents setting data used for converting Word format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Word2PDFConfig()

foxit::addon::conversion::office2pdf::Word2PDFConfig::Word2PDFConfig | ( | bool | is_generate_bookmark | ) |
| inline

Constructor, with parameters.

Parameters

  [in] | is_generate_bookmark | A boolean value which indicates whether to export bookmarks to converted PDF file.

## Member Function Documentation

## ◆ operator=()

Word2PDFConfig& foxit::addon::conversion::office2pdf::Word2PDFConfig::operator= | ( | const Word2PDFConfig & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another PDF-to-Word setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::addon::conversion::office2pdf::Word2PDFConfig::Set | ( | bool | is_generate_bookmark | ) |
| inline

Set value.

Parameters

  [in] | is_generate_bookmark | A boolean value which indicates whether to export bookmarks to converted PDF file.

Returns
  None.

## Member Data Documentation

## ◆ is_generate_bookmark

bool foxit::addon::conversion::office2pdf::Word2PDFConfig::is_generate_bookmark

A boolean value which indicates whether to export bookmarks to converted PDF file.

true means to export bookmarks to converted PDF file, while false means not. Default value: false.